﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Managing Completed Tasks</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Completed Tasks</h1>
        <p>You can manage tasks when they are marked as completed.&#160;To manage the completed tasks from ARS, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>ARS &gt; Tasks &gt; Completed Tasks. </strong><br />The&#160;<strong>List of Completed Tasks </strong>is displayed listing all the completed tasks. By default, the tasks are displayed&#160;as per the descending order of the task creation date.</p>
                <p>
                    <img src="../Resources/Images/List of Completed Tasks.png" style="width: 800px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p>Figure: List of Completed Tasks&#160;</p>
            </li>
            <li>
                <p>Click <strong>Action</strong>&#160;from the <strong>Action</strong> column in line with the task and select one of the following options:</p>
                <ul>
                    <li>
                        <p><strong>View: </strong>Displays task details, request details, approval history, dependent tasks, and user details displayed in different tabs.</p>
                    </li>
                    <li>
                        <p><strong>Reopen:</strong> Reopens a task that is marked completed without provisioning the requests on the target system. When you click this option, a <strong>Comments</strong> pop-up window is displayed that prompts you to enter the comments for reopening the task. To reopen the task, click <strong>Submit</strong>.&#160;</p>
                    </li>
                    <li>
                        <p><strong>Comments:</strong> Displays a&#160;pop-up window for adding comments for the completed task after provisioning the request.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>You can search for one or more tasks using <strong>Search</strong> and Advance Search options.&#160;For more information, see&#160;<MadCap:xref href="Searching-for-Completed-Tasks.htm">Searching for Completed Tasks</MadCap:xref>.</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">After a task is completed, Identity Governance and Administration (IGA) sends notifications to the user configured in the task email template field. For more information, see <MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks</MadCap:xref>&#160;.</p>
                </li>
                <li>
                    <p class="note">If you create a revoke task for an account or an entitlement using ARS or certification revoke process, remove access for the account from the target application, and then execute a full reconciliation from the target application using the provisioning job, then following actions take place in IGA:</p>
                </li>
            </ul>
            <ul>
                <li>
                    <p>The task is moved to Completed Tasks.</p>
                </li>
                <li>
                    <p>The task status changes to 'No Action Required'.</p>
                </li>
                <li>
                    <p>Provisioning Comments display as 'Entitlement not present'</p>
                </li>
            </ul>
        </div>
        <p>You can manage one or more tasks when they are marked as completed.&#160;</p>
        <p>To manage completed tasks from ARS, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>ARS &gt; Tasks &gt; Completed Tasks. </strong>The&#160;List of Completed Tasks is displayed listing all completed tasks.</p>
            </li>
            <li>
                <p>Click Action drop-down in the Action column in line with the task. The following options are available:</p>
                <ol>
                    <li><strong>View: </strong>Click this option to view task details, request details, approval history, dependent tasks, and user details displayed in different tabs.</li>
                    <li>
                        <p><strong>Reopen: </strong>This option helps you to reopen the task if they are marked as completed without provisioning the requests on target systems. When you click this option a <strong>Comments</strong> pop-up is displayed. Enter the comments and click <strong>Submit</strong> to re-open the task.</p>
                    </li>
                    <li>
                        <p><strong>Comments:</strong> This option is just for adding comments. Enter comments in the&#160;<strong>Comments</strong> pop-up for the completed task, after provisioning the request.</p>
                        <p>
                            <img src="../Resources/Images/Action drop-down in List of Completed Tasks.png" style="width: 800px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                        </p>
                        <p>Figure: Action drop-down in List of Completed Tasks</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>You can search for one or more tasks using the Search and Advance search option.&#160;For more information see&#160;<MadCap:xref href="Searching-for-Completed-Tasks.htm">Searching for Completed Tasks</MadCap:xref>.</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Once a task is completed, IGA sends notifications to the user based on the task email template field configurations. For more information, see&#160;<MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks</MadCap:xref>.</p>
        </div>
    </body>
</html>